/[gentoo-x86]/app-office/libreoffice/libreoffice-4.1.3.2-r2.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-4.1.3.2-r2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.6 - (show annotations) (download)
Thu Mar 27 09:09:57 2014 UTC (6 years ago) by scarabeus
Branch: MAIN
CVS Tags: HEAD
Changes since 1.5: +1 -1 lines
FILE REMOVED
Drop 4.0 series. Sorry ppc guys I can't wait for stabilisation forever.

(Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 8EEE3BE8)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.1.3.2-r2.ebuild,v 1.5 2013/12/28 18:57:19 dilfridge Exp $
4
5 EAPI=5
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_COMPAT=( python2_7 python3_3 )
13 PYTHON_REQ_USE="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Split modules following git/tarballs
39 # Core MUST be first!
40 # Help is used for the image generator
41 MODULES="core help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == core ]]; then
47 SRC_URI+=" ${i}/${P}.tar.xz"
48 else
49 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50 fi
51 done
52 unset mod
53 done
54 unset i
55 fi
56 unset DEV_URI
57
58 # Really required addons
59 # These are bundles that can't be removed for now due to huge patchsets.
60 # If you want them gone, patches are welcome.
61 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62 ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
63 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
65 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
67 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
68 SRC_URI+=" ${ADDONS_SRC}"
69
70 unset ADDONS_URI
71 unset EXT_URI
72 unset ADDONS_SRC
73
74 IUSE="bluetooth +branding +cups dbus debug eds gnome gstreamer +gtk
75 gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba +webdav"
76
77 LO_EXTS="nlpsolver presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
78 # Unpackaged separate extensions:
79 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
80 # hunart: only on ooo extensions -> fubared download path somewhere on sf
81 # numbertext, typo, validator, watch-window: ^^
82 # oooblogger: no homepage or anything
83 # Extensions that need extra work:
84 for lo_xt in ${LO_EXTS}; do
85 IUSE+=" libreoffice_extensions_${lo_xt}"
86 done
87 unset lo_xt
88
89 LICENSE="|| ( LGPL-3 MPL-1.1 )"
90 SLOT="0"
91 [[ ${PV} == *9999* ]] || \
92 KEYWORDS="amd64 ~arm ~ppc x86 ~amd64-linux ~x86-linux"
93
94 COMMON_DEPEND="
95 ${PYTHON_DEPS}
96 app-arch/zip
97 app-arch/unzip
98 >=app-text/hunspell-1.3.2-r3
99 app-text/mythes
100 >=app-text/libexttextcat-3.2
101 app-text/liblangtag
102 app-text/libmspub
103 <app-text/libmwaw-0.2.0
104 app-text/libodfgen
105 app-text/libwpd:0.9[tools]
106 app-text/libwpg:0.2
107 >=app-text/libwps-0.2.2
108 >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
109 >=dev-cpp/clucene-2.3.3.4-r2
110 >=dev-cpp/libcmis-0.3.1:0.3
111 dev-db/unixODBC
112 >=dev-libs/boost-1.46:=
113 dev-libs/expat
114 >=dev-libs/hyphen-2.7.1
115 >=dev-libs/icu-4.8.1.1:=
116 >=dev-libs/liborcus-0.5.1:=
117 >=dev-libs/nspr-4.8.8
118 >=dev-libs/nss-3.12.9
119 >=dev-lang/perl-5.0
120 >=dev-libs/openssl-1.0.0d
121 >=dev-libs/redland-1.0.16[ssl]
122 media-gfx/graphite2
123 >=media-libs/fontconfig-2.8.0
124 media-libs/freetype:2
125 >=media-libs/harfbuzz-0.9.10:=[icu(+)]
126 media-libs/lcms:2
127 >=media-libs/libpng-1.4
128 >=media-libs/libcdr-0.0.5
129 media-libs/libvisio
130 >=net-misc/curl-7.21.4
131 net-nds/openldap
132 sci-mathematics/lpsolve
133 virtual/jpeg:0
134 >=x11-libs/cairo-1.10.0[X]
135 x11-libs/libXinerama
136 x11-libs/libXrandr
137 x11-libs/libXrender
138 bluetooth? ( net-wireless/bluez )
139 cups? ( net-print/cups )
140 dbus? ( >=dev-libs/dbus-glib-0.92 )
141 eds? ( gnome-extra/evolution-data-server )
142 gnome? ( gnome-base/gconf:2 )
143 gtk? (
144 x11-libs/gdk-pixbuf[X]
145 >=x11-libs/gtk+-2.24:2
146 )
147 gtk3? ( >=x11-libs/gtk+-3.2:3 )
148 gstreamer? (
149 media-libs/gstreamer:1.0
150 media-libs/gst-plugins-base:1.0
151 )
152 jemalloc? ( dev-libs/jemalloc )
153 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
154 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
155 libreoffice_extensions_wiki-publisher? (
156 dev-java/commons-codec:0
157 dev-java/commons-httpclient:3
158 dev-java/commons-lang:2.1
159 dev-java/commons-logging:0
160 dev-java/tomcat-servlet-api:3.0
161 )
162 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
163 opengl? (
164 virtual/glu
165 virtual/opengl
166 )
167 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
168 telepathy? (
169 dev-libs/glib:2
170 >=net-libs/telepathy-glib-0.18.0
171 >=x11-libs/gtk+-2.24:2
172 )
173 webdav? ( net-libs/neon )
174 "
175
176 RDEPEND="${COMMON_DEPEND}
177 !app-office/libreoffice-bin
178 !app-office/libreoffice-bin-debug
179 !<app-office/openoffice-bin-3.4.0-r1
180 !app-office/openoffice
181 media-fonts/libertine-ttf
182 media-fonts/liberation-fonts
183 media-fonts/urw-fonts
184 java? ( >=virtual/jre-1.6 )
185 "
186
187 if [[ ${PV} != *9999* ]]; then
188 PDEPEND="~app-office/libreoffice-l10n-${PV}"
189 else
190 # Translations are not reliable on live ebuilds
191 # rather force people to use english only.
192 PDEPEND="!app-office/libreoffice-l10n"
193 fi
194
195 # FIXME: cppunit should be moved to test conditional
196 # after everything upstream is under gbuild
197 # as dmake execute tests right away
198 DEPEND="${COMMON_DEPEND}
199 >=dev-libs/libxml2-2.7.8
200 dev-libs/libxslt
201 dev-perl/Archive-Zip
202 dev-util/cppunit
203 >=dev-util/gperf-3
204 dev-util/intltool
205 =dev-util/mdds-0.8*:=
206 virtual/pkgconfig
207 net-misc/npapi-sdk
208 >=sys-apps/findutils-4.4.2
209 sys-devel/bison
210 sys-apps/coreutils
211 sys-devel/flex
212 sys-devel/gettext
213 >=sys-devel/make-3.82
214 sys-devel/ucpp
215 sys-libs/zlib
216 x11-libs/libXt
217 x11-libs/libXtst
218 x11-proto/randrproto
219 x11-proto/xextproto
220 x11-proto/xineramaproto
221 x11-proto/xproto
222 java? (
223 >=virtual/jdk-1.6
224 >=dev-java/ant-core-1.7
225 )
226 odk? ( app-doc/doxygen )
227 test? ( dev-util/cppunit )
228 "
229
230 PATCHES=(
231 # not upstreamable stuff
232 "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
233
234 # picked from git master
235 "${FILESDIR}/${PN}-4.1.3.2-kde-recursiverepaint.patch"
236 "${FILESDIR}/${PN}-4.1.3.2-kde-calchang.patch"
237 )
238
239 REQUIRED_USE="
240 ${PYTHON_REQUIRED_USE}
241 bluetooth? ( dbus )
242 gnome? ( gtk )
243 eds? ( gnome )
244 telepathy? ( gtk )
245 libreoffice_extensions_nlpsolver? ( java )
246 libreoffice_extensions_scripting-beanshell? ( java )
247 libreoffice_extensions_scripting-javascript? ( java )
248 libreoffice_extensions_wiki-publisher? ( java )
249 "
250
251 CHECKREQS_MEMORY="512M"
252 CHECKREQS_DISK_BUILD="6G"
253
254 pkg_pretend() {
255 local pgslot
256
257 if [[ ${MERGE_TYPE} != binary ]]; then
258 check-reqs_pkg_pretend
259
260 if [[ $(gcc-major-version) -lt 4 ]] || \
261 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
262 ; then
263 eerror "Compilation with gcc older than 4.6 is not supported"
264 die "Too old gcc found."
265 fi
266 fi
267
268 # ensure pg version
269 if use postgres && has_version dev-db/postgresql-base; then
270 pgslot=$(postgresql-config show)
271 if [[ ${pgslot//.} < 90 ]] ; then
272 eerror "PostgreSQL slot must be set to 9.0 or higher."
273 eerror " postgresql-config set 9.0"
274 die "PostgreSQL slot is not set to 9.0 or higher."
275 fi
276 fi
277 }
278
279 pkg_setup() {
280 java-pkg-opt-2_pkg_setup
281 kde4-base_pkg_setup
282 python-single-r1_pkg_setup
283
284 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
285 }
286
287 src_unpack() {
288 local mod mod2 dest tmplfile tmplname mypv
289
290 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
291 use branding && unpack "${BRANDING}"
292
293 if [[ ${PV} != *9999* ]]; then
294 unpack "${P}.tar.xz"
295 for mod in ${MODULES}; do
296 [[ ${mod} == core ]] && continue
297 unpack "${PN}-${mod}-${PV}.tar.xz"
298 done
299 else
300 for mod in ${MODULES}; do
301 mypv=${PV/.9999}
302 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
303 EGIT_PROJECT="${PN}/${mod}"
304 EGIT_SOURCEDIR="${WORKDIR}/${P}"
305 [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
306 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
307 EGIT_NOUNPACK="true"
308 git-2_src_unpack
309 if [[ ${mod} != core ]]; then
310 mod2=${mod}
311 # mapping does not match on help
312 [[ ${mod} == help ]] && mod2="helpcontent2"
313 mkdir -p "${S}/${mod2}/" || die
314 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
315 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
316 fi
317 done
318 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
319 fi
320 }
321
322 src_prepare() {
323 # optimization flags
324 export GMAKE_OPTIONS="${MAKEOPTS}"
325 # System python 2.7 enablement:
326 export PYTHON_CFLAGS=$(python_get_CFLAGS)
327 export PYTHON_LIBS=$(python_get_LIBS)
328
329 # patchset
330 if [[ -n ${PATCHSET} ]]; then
331 EPATCH_FORCE="yes" \
332 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
333 EPATCH_SUFFIX="patch" \
334 epatch
335 fi
336
337 base_src_prepare
338
339 AT_M4DIR="m4" eautoreconf
340 # hack in the autogen.sh
341 touch autogen.lastrun
342
343 # system pyuno mess
344 sed \
345 -e "s:%eprefix%:${EPREFIX}:g" \
346 -e "s:%libdir%:$(get_libdir):g" \
347 -i pyuno/source/module/uno.py \
348 -i scripting/source/pyprov/officehelper.py || die
349 # sed in the tests
350 sed -i \
351 -e 's#all : build unitcheck#all : build#g' \
352 solenv/gbuild/Module.mk || die
353 sed -i \
354 -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
355 -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
356 Makefile.in || die
357
358 if use branding; then
359 # hack...
360 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
361 fi
362 }
363
364 src_configure() {
365 local java_opts
366 local internal_libs
367 local lo_ext
368 local ext_opts
369 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
370
371 # recheck that there is some value in jobs
372 [[ -z ${jbs} ]] && jbs="1"
373
374 # sane: just sane.h header that is used for scan in writer, not
375 # linked or anything else, worthless to depend on
376 # vigra: just uses templates from there
377 # it is serious pain in the ass for packaging
378 # should be replaced by boost::gil if someone interested
379 internal_libs+="
380 --without-system-sane
381 --without-system-vigra
382 "
383
384 # libreoffice extensions handling
385 for lo_xt in ${LO_EXTS}; do
386 if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
387 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
388 else
389 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
390 fi
391 done
392
393 if use java; then
394 # hsqldb: system one is too new
395 java_opts="
396 --without-junit
397 --without-system-hsqldb
398 --with-ant-home="${ANT_HOME}"
399 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
400 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
401 "
402
403 use libreoffice_extensions_scripting-beanshell && \
404 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
405
406 use libreoffice_extensions_scripting-javascript && \
407 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
408
409 if use libreoffice_extensions_wiki-publisher; then
410 java_opts+="
411 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
412 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
413 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
414 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
415 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
416 "
417 fi
418 fi
419
420 # system headers/libs/...: enforce using system packages
421 # --enable-cairo: ensure that cairo is always required
422 # --enable-graphite: disabling causes build breakages
423 # --enable-*-link: link to the library rather than just dlopen on runtime
424 # --enable-release-build: build the libreoffice as release
425 # --disable-fetch-external: prevent dowloading during compile phase
426 # --disable-gnome-vfs: old gnome virtual fs support
427 # --disable-kdeab: kde3 adressbook
428 # --disable-kde: kde3 support
429 # --disable-rpath: relative runtime path is not desired
430 # --disable-systray: quickstarter does not actually work at all so do not
431 # promote it
432 # --enable-extension-integration: enable any extension integration support
433 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
434 # --disable-report-builder: too much java packages pulled in without pkgs
435 econf \
436 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
437 --with-system-headers \
438 --with-system-libs \
439 --with-system-jars \
440 --with-system-dicts \
441 --enable-cairo-canvas \
442 --enable-graphite \
443 --enable-largefile \
444 --enable-mergelibs \
445 --enable-python=system \
446 --enable-randr \
447 --enable-randr-link \
448 --enable-release-build \
449 --disable-hardlink-deliver \
450 --disable-ccache \
451 --disable-crashdump \
452 --disable-dependency-tracking \
453 --disable-epm \
454 --disable-fetch-external \
455 --disable-gnome-vfs \
456 --disable-gstreamer-0-10 \
457 --disable-report-builder \
458 --disable-kdeab \
459 --disable-kde \
460 --disable-online-update \
461 --disable-rpath \
462 --disable-systray \
463 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
464 --with-build-version="Gentoo official package" \
465 --enable-extension-integration \
466 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
467 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
468 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
469 --with-external-tar="${DISTDIR}" \
470 --with-lang="" \
471 --with-parallelism=${jbs} \
472 --with-system-ucpp \
473 --with-vendor="Gentoo Foundation" \
474 --with-x \
475 --without-afms \
476 --without-fonts \
477 --without-myspell-dicts \
478 --without-help \
479 --with-helppack-integration \
480 --without-sun-templates \
481 $(use_enable bluetooth sdremote-bluetooth) \
482 $(use_enable cups) \
483 $(use_enable debug) \
484 $(use_enable dbus) \
485 $(use_enable eds evolution2) \
486 $(use_enable gnome gconf) \
487 $(use_enable gnome gio) \
488 $(use_enable gnome lockdown) \
489 $(use_enable gstreamer) \
490 $(use_enable gtk) \
491 $(use_enable gtk3) \
492 $(use_enable kde kde4) \
493 $(use_enable mysql ext-mariadb-connector) \
494 $(use_enable odk) \
495 $(use_enable opengl) \
496 $(use_enable postgres postgresql-sdbc) \
497 $(use_enable telepathy) \
498 $(use_enable test linkoo) \
499 $(use_enable vba) \
500 $(use_enable webdav neon) \
501 $(use_with java) \
502 $(use_with mysql system-mysql-cppconn) \
503 $(use_with odk doxygen) \
504 ${internal_libs} \
505 ${java_opts} \
506 ${ext_opts}
507 }
508
509 src_compile() {
510 # hack for offlinehelp, this needs fixing upstream at some point
511 # it is broken because we send --without-help
512 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
513 (
514 grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
515 source "${T}/config_host.mk" 2&> /dev/null
516
517 local path="${SOLARVER}/${INPATH}/res/img"
518 mkdir -p "${path}" || die
519
520 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
521 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
522 -dir=icon-themes/galaxy/res/helpimg \
523 > "${path}/helpimg.ilst"
524 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
525 )
526
527 local target
528 use test && target="build" || target="build-nocheck"
529
530 # this is not a proper make script
531 make ${target} || die
532 }
533
534 src_test() {
535 make unitcheck || die
536 make slowcheck || die
537 }
538
539 src_install() {
540 # This is not Makefile so no buildserver
541 make DESTDIR="${D}" distro-pack-install -o build -o check || die
542
543 # Fix bash completion placement
544 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
545 rm -rf "${ED}"/etc/
546
547 if use branding; then
548 insinto /usr/$(get_libdir)/${PN}/program
549 newins "${WORKDIR}/branding-sofficerc" sofficerc
550 echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN}
551 fi
552
553 # symlink the nsplugin to proper location
554 # use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
555
556 # Hack for offlinehelp, this needs fixing upstream at some point.
557 # It is broken because we send --without-help
558 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
559 insinto /usr/$(get_libdir)/libreoffice/help
560 doins xmlhelp/util/*.xsl
561
562 # Remove desktop files for support to old installs that can't parse mime
563 rm -rf "${ED}"/usr/share/mimelnk/
564 }
565
566 pkg_preinst() {
567 # Cache updates - all handled by kde eclass for all environments
568 kde4-base_pkg_preinst
569 }
570
571 pkg_postinst() {
572 kde4-base_pkg_postinst
573
574 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
575 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
576
577 use java || \
578 ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
579 }
580
581 pkg_postrm() {
582 kde4-base_pkg_postrm
583 }

  ViewVC Help
Powered by ViewVC 1.1.20